Package org.apache.commons.math3.distribution

# Interface MultivariateRealDistribution

All Known Implementing Classes:
  `AbstractMultivariateRealDistribution`, `MixtureMultivariateNormalDistribution`, `MixtureMultivariateRealDistribution`, `MultivariateNormalDistribution`

public interface MultivariateRealDistribution
Base interface for multivariate distributions on the reals. This is based largely on the RealDistribution interface, but cumulative distribution functions are not required because they are often quite difficult to compute for multivariate distributions.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`double`
`density(double[] x)`
Returns the probability density function (PDF) of this distribution evaluated at the specified point `x`.
`int`
`getDimension()`
Gets the number of random variables of the distribution.
`void`
`reseedRandomGenerator(long seed)`
Reseeds the random generator used to generate samples.
`double[]`
`sample()`
Generates a random value vector sampled from this distribution.
`double[][]`
`sample(int sampleSize)`
Generates a list of a random value vectors from the distribution.

## Method Details

### density

double density(double[] x)
Returns the probability density function (PDF) of this distribution evaluated at the specified point `x`. In general, the PDF is the derivative of the cumulative distribution function. If the derivative does not exist at `x`, then an appropriate replacement should be returned, e.g. `Double.POSITIVE_INFINITY`, `Double.NaN`, or the limit inferior or limit superior of the difference quotient.

Parameters:
  `x` - Point at which the PDF is evaluated.
Returns:
  the value of the probability density function at point `x`.

### reseedRandomGenerator

void reseedRandomGenerator(long seed)
Reseeds the random generator used to generate samples.

Parameters:
  `seed` - Seed with which to initialize the random number generator.

### getDimension

int getDimension()
Gets the number of random variables of the distribution. It is the size of the array returned by the `sample` method.

Returns:
  the number of variables.

### sample

double[] sample()
Generates a random value vector sampled from this distribution.

Returns:
  a random value vector.

### sample

double[][] sample(int sampleSize) throws NotStrictlyPositiveException
Generates a list of a random value vectors from the distribution.

Parameters:
  `sampleSize` - the number of random vectors to generate.
Returns:
  an array representing the random samples.
Throws:
  `NotStrictlyPositiveException` - if `sampleSize` is not positive.
See Also:
  - `sample()`